# Asterisk Project : Asterisk 13 ManagerEvent_AgentComplete

Created by wikibot on Aug 08, 2014

# AgentComplete

### Synopsis

Raised when a queue member has finished servicing a caller in the queue.

### Description

### Syntax

    Event: AgentComplete
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    DestChannel: <value>
    DestChannelState: <value>
    DestChannelStateDesc: <value>
    DestCallerIDNum: <value>
    DestCallerIDName: <value>
    DestConnectedLineNum: <value>
    DestConnectedLineName: <value>
    DestAccountCode: <value>
    DestContext: <value>
    DestExten: <value>
    DestPriority: <value>
    DestUniqueid: <value>
    Queue: <value>
    MemberName: <value>
    Interface: <value>
    HoldTime: <value>
    TalkTime: <value>
    Reason: <value>

##### Arguments

- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `DestChannel`
- `DestChannelState` - A numeric code for the channel's current state, related to DestChannelStateDesc
- `DestChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `DestCallerIDNum`
- `DestCallerIDName`
- `DestConnectedLineNum`
- `DestConnectedLineName`
- `DestAccountCode`
- `DestContext`
- `DestExten`
- `DestPriority`
- `DestUniqueid`
- `Queue` - The name of the queue.
- `MemberName` - The name of the queue member.
- `Interface` - The queue member's channel technology or location.
- `HoldTime` - The time the channel was in the queue, expressed in seconds since 00:00, Jan 1, 1970 UTC.
- `TalkTime` - The time the queue member talked with the caller in the queue, expressed in seconds since 00:00, Jan 1, 1970 UTC.
- `Reason`
  - `caller`
  - `agent`
  - `transfer`

### Class

AGENT

### See Also

- Asterisk 13 ManagerEvent_AgentCalled
- Asterisk 13 ManagerEvent_AgentConnect

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538